=== debian/changelog ===
plasma-samegame (24.02.0+p24.04+vstable+git20251109.0323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 09 Nov 2025 03:23:35 +0000

plasma-samegame (24.02.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 28 Feb 2024 12:05:19 +0000

plasma-samegame (23.04.2-0neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:13:09 +0000
