=== debian/control ===
Source: plasma-samegame
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-kirigami2-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/samegame.git
Vcs-Git: https://invent.kde.org/neon/mobile/plasma-samegame.git
Vcs-Browser: https://invent.kde.org/neon/mobile/plasma-samegame
Maintainer: Neon CI <neon@kde.org>

Package: plasma-samegame
Architecture: any
Depends: kf6-kirigami-addons,
         kf6-kirigami2,
         qt6-declarative,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma Mobile samegame
 Samegame clone suitable for mobile devices
